<?php
/*
Template: WP-Guestbook Template
Author: Frank Bueltge
Author URI: http://bueltge.de/
*/
?>

	<div id="guestbook" >
		<?php if ((get_option('default_comment_status') == 'open') && ('open' == $post->comment_status)) { ?>
			<h3 id="writecomment"><a href="#" id="ToogleCommentform" title="<?php _e('&ouml;ffnen/schlie&szlig;en', 'photoblogfb'); ?>"><?php _e('&#177; Eintrag schreiben', 'photoblogfb'); ?></a></h3>
			<?php if ( get_option('comment_registration') && !$user_ID ) { ?>
				<p><?php _e('Du musst', 'photoblogfb'); ?> <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>"><?php _e('angemeldet', 'photoblogfb'); ?></a> <?php _e('sein um einen Eintrag zu schreiben.', 'photoblogfb'); ?></p>
			<?php } else { ?>
			<form id="commentform" action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" >
				<?php if ( $user_ID ) { ?>	
				<p><small><a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a> <?php _e('ist angemeldet,', 'photoblogfb'); ?> <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="<?php _e('Abmelden', 'photoblogfb'); ?>">Exit</a></small></p>
				<?php } else { ?>
			
					<p>
						<input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="20" tabindex="1" />
						<label for="author"><?php _e('Name', 'photoblogfb'); ?> <?php if ($req) echo _e('<small class="pflichtfeld">Pflichtfeld</small>', 'photoblogfb'); ?></label>
					</p>
					<p>
						<input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="20" tabindex="2" />
						<label for="email"><?php _e('eMail (bleibt versteckt)', 'photoblogfb'); ?> <?php if ($req) echo _e('<small class="pflichtfeld">Pflichtfeld</small>', 'photoblogfb'); ?></label>
					</p>	
					<p>
						<input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="20" tabindex="3" />
						<label for="url"><?php _e('Website', 'photoblogfb'); ?></label>
					</p>
				<?php } ?>
					<p>
						<textarea name="comment" id="comment" cols="30" rows="5" tabindex="4"></textarea>
					</p>
					<p>
						<input name="submit" type="submit" id="submit" tabindex="6" value="<?php _e('Eintrag absenden', 'photoblogfb'); ?>" title="<?php _e('Eintrag absenden', 'photoblogfb'); ?>" />
						<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
					</p>
				<?php do_action('comment_form', $post->ID); ?>
			</form>
			<?php }; // If registration required and not logged in ?>
		<?php } else { // if you delete this the sky will fall on your head ?>
						<p class="nocomments"><?php _e('G&auml;stebuch ist gechlossen.', 'photoblogfb'); ?></p>
		<?php } ?>

		<?php
			if ('wp-guestbook.php' == basename($_SERVER['SCRIPT_FILENAME']))
				die ('Bitte diese Seite nicht direkt laden. Danke !');
		
					if (!empty($post->post_password)) { // if there's a password
						if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie ?>
							<p class="nocomments"><?php _e('Dieser Beitrag ist passwortgesch&#252;tzt. Bitte gebe das Passwort an um die Eintr&auml;ge zu sehen.', 'photoblogfb'); ?><p>
		<?php				return;
						}
					}
		
				/* alternating varibale for entry background */
				$oddcomment = 'alt';
		?>
		
		<?php if ($comments) {
			// Counter for trackback, pingback, entry
			$commentdata = array();
			foreach ($comments as $comment) {
				if (get_comment_type() == 'comment') {
					$commentdata['comments'][] = $comment;
				} else {
					$commentdata['trackbacks'][] = $comment;
				}
			}
			$count_comments   = count($commentdata['comments']);
			$count_trackbacks = count($commentdata['trackbacks']);
			if ($count_trackbacks == 0) {
				$count_trackbacks = '';
			} elseif ($count_trackbacks == 1) {
				$count_trackbacks = 'und 1 Trackback ';
			} else {
				$count_trackbacks = 'und ' . $count_trackbacks . ' Trackbacks ';
			}
		
			if (($count_comments == 0) && ($count_trackbacks != 0)) {
				echo '<h3>' . __('&#177; Kein Eintrag', 'photoblogfb') . $count_trackbacks . '</h3>';
			} elseif ($count_comments == 1) {
				echo '<h3>' . __('&#177; 1 Eintrag ', 'photoblogfb') . $count_trackbacks . '</h3>';
			} else {
				echo '<h3>' . __('&#177; ', 'photoblogfb') . $count_comments . __(' Eintr&auml;ge ', 'photoblogfb') . $count_trackbacks . '</h3>';
			} ?>

				<?php if ($paged_guestbookcomments->pager->num_pages() > 1): ?>
				<p class="comment-page-numbers"><?php _e(); ?> <?php paged_guestbookcomments_print_pages(); ?></p>
				<?php endif; ?>
				<ol class="commentlist" id="commentlist_gb">
			
				<?php $count = 0; foreach ($comments as $comment) { ?>
			
					<li id="comment-<?php comment_ID() ?>"<?php global $comment; if ( ($comment->comment_author_email == get_the_author_email()) && ($comment->user_id != 0) ) {echo ' class="mein_kommentar"';} else {echo ' class="' . $oddcomment . '"';} ?>>
						<?php if (get_comment_type() == 'comment') : ?>
						<?php endif; ?>
						<div class="commentcount"><?php echo $comment_number; $comment_number += $comment_delta; /* Gibt eine laufende Nummer aus */ ?></div>
						<cite><?php comment_author_link() ?> sagt:</cite>
						<?php if (get_comment_type() == "comment") comment_text() ?>
						<?php if ($comment->comment_approved == '0') : ?>
							<em><?php _e('! Dein Eintrag muss noch moderiert werden !', 'photoblogfb'); ?></em>
						<?php endif; ?>
						<small class="commentmetadata_gb"><?php comment_date('j.M.y') ?>, <?php comment_time('H:i') ?> <?php edit_comment_link('&middot; Edit','',''); ?></small>
					</li>
			
				<?php /* Changes every other entry to a different class */  
					if ('alt' == $oddcomment) {
						$oddcomment = '';
					} else {
						$oddcomment = 'alt';
					}
				?>
			
				<?php } /* end for each entry */ ?>
				</ol>
				<?php if ($paged_guestbookcomments->pager->num_pages() > 1): ?>
				<p class="comment-page-numbers"><?php _e('Seiten:', 'photoblogfb'); ?> <?php paged_guestbookcomments_print_pages(); ?></p>
				<?php endif; ?>
				
		<?php } else { ?>
			<?php if ('open' == $post->comment_status) { ?> 
			<?php } else { // guestbook is closed ?>
				<p class="nocomments"><?php _e('G&auml;stebuch ist gechlossen.', 'photoblogfb'); ?></p>
			<?php } ?>
		<?php } ?>
		
	</div>