<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?> id="fb_photo">
<?php if(function_exists('load_theme_textdomain')) load_theme_textdomain('photoblogfb'); ?>
<head profile="http://gmpg.org/xfn/11">
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<meta http-equiv="Content-Script-Type" content="text/javascript" />

	<title><?php if ( is_archive() ) { _e('Kategorie', 'photoblogfb'); echo ' '; } wp_title(''); if ( is_archive() ) { ?> | <?php } if ( is_single() ) { ?> | <?php } if ( is_page() ) { ?> | <?php } bloginfo('name'); ?></title>

	<meta name="description" content="<?php if ( is_single() ) { wp_title(''); echo ' | '; } elseif ( is_page() ) { wp_title(''); echo ' | '; } bloginfo('description'); ?>" />
	<meta name="author" content="Frank Bueltge - http://bueltge.de" />
	<meta http-equiv="imagetoolbar" content="no" />
	
	<style type="text/css" media="screen">
		@import url(<?php bloginfo('stylesheet_url'); ?>);
	</style>

	<link rel="Shortcut Icon" type="image/x-icon" href="<?php bloginfo('url'); ?>/favicon.ico" />
	<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
	<link rel="alternate" type="text/xml" title="Kommentare" href="<?php bloginfo('comments_rss2_url'); ?>" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

	<script src="<?php bloginfo('template_directory'); ?>/js/jquery.js" type="text/javascript" charset="<?php bloginfo('charset'); ?>" ></script>
	<script src="<?php bloginfo('template_directory'); ?>/js/photoblogfb.js" type="text/javascript" charset="<?php bloginfo('charset'); ?>" ></script>

	<?php wp_get_archives('type=monthly&format=link'); ?>
	
	<?php wp_head(); ?>

</head>

<body>

<div id="wrap">

	<div id="header">
		<h1><a href="<?php echo get_settings('home'); ?>"><?php bloginfo('name'); ?></a></h1>
		<p><?php bloginfo('description'); ?></p>
	</div>
	